# ============================= Base Test Config ==============================
base_test_data:
    script_timeout: 20
    enabled: True
    required_features: []
    cloud_config: |
        #cloud-config
    collect_scripts:
        cloud-init.log: |
            #!/bin/sh
            cat /var/log/cloud-init.log
        cloud-init-output.log: |
            #!/bin/sh
            cat /var/log/cloud-init-output.log
        instance-id: |
            #!/bin/sh
            cat /run/cloud-init/.instance-id
        instance-data.json: |
            #!/bin/sh
            cat /run/cloud-init/instance-data.json
        result.json: |
            #!/bin/sh
            cat /run/cloud-init/result.json
        status.json: |
            #!/bin/sh
            cat /run/cloud-init/status.json
        package-versions: |
            #!/bin/sh
            dpkg-query --show
        build.info: |
            #!/bin/sh
            binfo=/etc/cloud/build.info
            [ -f "$binfo" ] && cat "$binfo" || echo "N/A"
        system.journal.gz: |
            #!/bin/sh
            [ -d /run/systemd ] || { echo "not systemd."; exit 0; }
            fail() { echo "ERROR:" "$@" 1>&2; exit 1; }
            journal=""
            for d in /run/log/journal /var/log/journal; do
                for f in $d/*/system.journal; do
                    [ -f "$f" ] || continue
                    [ -z "$journal" ] ||
                        fail "multiple journal found: $f $journal."
                    journal="$f"
                done
            done
            [ -f "$journal" ] || fail "no journal file found."
            gzip --to-stdout "$journal"

# vi: ts=4 expandtab
